using System.Text.Json;
using System.Text.Json.Serialization;

namespace View_by_Distance.Rename.Models;

public class AppSettings
{

    public string Company { init; get; }
    public string ComparePathsFile { init; get; }
    public int MaxDegreeOfParallelism { init; get; }
    public string WorkingDirectoryName { init; get; }

    [JsonConstructor]
    public AppSettings(string company, string comparePathsFile, int maxDegreeOfParallelism, string workingDirectoryName)
    {
        Company = company;
        ComparePathsFile = comparePathsFile;
        MaxDegreeOfParallelism = maxDegreeOfParallelism;
        WorkingDirectoryName = workingDirectoryName;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}